> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Analytics Detailed Usage Time

> Returns app actions usage based on a given time period.



## OpenAPI

````yaml get /analytics/detail-usage-time
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /analytics/detail-usage-time:
    get:
      summary: Get Analytics Detailed Usage Time
      description: Returns app actions usage based on a given time period.
      operationId: get-detail-usage-time
      parameters:
        - name: timePeriod
          in: query
          required: false
          description: >-
            The time period for usage data. Default time-period is
            `current-billing-cycle`
          schema:
            type: string
            example: 7-days
            enum:
              - 7-days
              - 30-days
              - 3-months
              - current-billing-cycle
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: Success (Example)
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      startDate: '2023-12-27'
                      endDate: '2024-12-27'
                      totalActions: 0
                      data:
                        - appActions: 37
                          month: Jan-24
                          year: 2024
                          date: '2024-01-02'
                          apiActions: 0
                          count: 37
                        - appActions: 41
                          month: Feb-24
                          year: 2024
                          date: '2024-02-04'
                          apiActions: 0
                          count: 41
                        - appActions: 55
                          month: Mar-24
                          year: 2024
                          date: '2024-03-02'
                          apiActions: 0
                          count: 55
                        - appActions: 431
                          month: Apr-24
                          year: 2024
                          date: '2024-04-01'
                          apiActions: 0
                          count: 431
                        - appActions: 148
                          month: May-24
                          year: 2024
                          date: '2024-05-05'
                          apiActions: 0
                          count: 148
                        - appActions: 6
                          month: Jun-24
                          year: 2024
                          date: '2024-06-27'
                          apiActions: 0
                          count: 6
                        - appActions: 28
                          month: Jul-24
                          year: 2024
                          date: '2024-07-10'
                          apiActions: 0
                          count: 28
                        - appActions: 70
                          month: Aug-24
                          year: 2024
                          date: '2024-08-05'
                          apiActions: 0
                          count: 70
                        - appActions: 234
                          month: Sep-24
                          year: 2024
                          date: '2024-09-12'
                          apiActions: 0
                          count: 234
                        - appActions: 956
                          month: Oct-24
                          year: 2024
                          date: '2024-10-13'
                          apiActions: 0
                          count: 956
                        - appActions: 90
                          month: Nov-24
                          year: 2024
                          date: '2024-11-07'
                          apiActions: 0
                          count: 90
                      timePeriod: current-billing-cycle
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````